Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n
Class DiagramUIPropertiesMessages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n.DiagramUIPropertiesMessages

    public final class DiagramUIPropertiesMessages

extends NLS

An accessor class for externalized strings.

Field Summary
`static java.lang.String` `AbstractPropertySection_UndoIntervalPropertyString`
`static java.lang.String` `AppearanceDetails_AvoidObstaclesCommand_Text`
`static java.lang.String` `AppearanceDetails_ClosestDistanceCommand_Text`
`static java.lang.String` `AppearanceDetails_JumpLinksCommand_Text`
`static java.lang.String` `AppearanceDetails_JumpLinkTypeCommand_Text`
`static java.lang.String` `AppearanceDetails_LineRouterCommand_Text`
`static java.lang.String` `AppearanceDetails_ReverseJumpLinksCommand_Text`
`static java.lang.String` `AppearanceDetails_SmoothnessCommand_Text`
`static java.lang.String` `Centimeters_Label_Text`
`static java.lang.String` `ColorPalettePopup_custom`
`static java.lang.String` `ColorPalettePopup_default`
`static java.lang.String` `ConnectionAppearanceDetails_AvoidObstaclesLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_ClosestDistanceLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_JumpLinkGroupLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_JumpLinksLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_JumpLinkTypeLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_LineRouterLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_ReverseJumpLinksLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_RouterOptionsLabel_Text`
`static java.lang.String` `ConnectionAppearanceDetails_SmoothnessLabel_Text`
`static java.lang.String` `Dash_Dot_Dot_Label_Text`
`static java.lang.String` `Dash_Dot_Label_Text`
`static java.lang.String` `Dash_Label_Text`
`static java.lang.String` `DiagramGeneralDetails_diagramDescriptionChangeCommand_text`
`static java.lang.String` `DiagramGeneralDetails_diagramDescriptionLabel_text`
`static java.lang.String` `DiagramGeneralDetails_diagramTypeLabel_text`
`static java.lang.String` `DiagramGeneralDetails_nameChangeCommand_text`
`static java.lang.String` `DiagramGeneralDetails_nameLabel_text`
`static java.lang.String` `Display_Group_Label_Text`
`static java.lang.String` `Dot_Label_Text`
`static java.lang.String` `FillColor_commandText`
`static java.lang.String` `Font_commandText`
`static java.lang.String` `FontAndColor_nameLabel`
`static java.lang.String` `FontColor_commandText`
`static java.lang.String` `Grid_Level_Label_Text`
`static java.lang.String` `Grid_On_Label_Text`
`static java.lang.String` `Grid_Spacing_Label_Text`
`static java.lang.String` `Gridline_Group_Label_Text`
`static java.lang.String` `Inches_Label_Text`
`static java.lang.String` `Line_Color_Label_Text`
`static java.lang.String` `Line_Style_Label_Text`
`static java.lang.String` `LineColor_commandText`
`static java.lang.String` `LineStylesPropertySection_ArrowType`
`static java.lang.String` `LineStylesPropertySection_LineStyles`
`static java.lang.String` `LineStylesPropertySection_LineType`
`static java.lang.String` `LineStylesPropertySection_LineWidth`
`static java.lang.String` `LineStylesPropertySection_SourceArrow_Type`
`static java.lang.String` `LineStylesPropertySection_TargetArrow_Type`
`static java.lang.String` `Measurement_Group_Label_Text`
`static java.lang.String` `Pixel_Label_Text`
`static java.lang.String` `Positive_Number_Error`
`static java.lang.String` `Restore_Defaults_Label_Text`
`static java.lang.String` `Ruler_On_Label_Text`
`static java.lang.String` `Ruler_Units_Label_Text`
`static java.lang.String` `Snap_To_Geometry_Label_Text`
`static java.lang.String` `Snap_To_Grid_Label_Text`
`static java.lang.String` `Solid_Label_Text`
`static java.lang.String` `Spaced_Dot_Label_Text`
`static java.lang.String` `TextAlignmentPropertySection_AlignCenter`
`static java.lang.String` `TextAlignmentPropertySection_AlignLeft`
`static java.lang.String` `TextAlignmentPropertySection_AlignRight`
`static java.lang.String` `TextAlignmentPropertySection_TextAlignment`

Method Summary

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DiagramGeneralDetails_nameLabel_text

    public static java.lang.String DiagramGeneralDetails_nameLabel_text

### DiagramGeneralDetails_diagramTypeLabel_text

    public static java.lang.String DiagramGeneralDetails_diagramTypeLabel_text

### DiagramGeneralDetails_diagramDescriptionLabel_text

    public static java.lang.String DiagramGeneralDetails_diagramDescriptionLabel_text

### DiagramGeneralDetails_nameChangeCommand_text

    public static java.lang.String DiagramGeneralDetails_nameChangeCommand_text

### DiagramGeneralDetails_diagramDescriptionChangeCommand_text

    public static java.lang.String DiagramGeneralDetails_diagramDescriptionChangeCommand_text

### FontAndColor_nameLabel

    public static java.lang.String FontAndColor_nameLabel

### FontColor_commandText

    public static java.lang.String FontColor_commandText

### FillColor_commandText

    public static java.lang.String FillColor_commandText

### LineColor_commandText

    public static java.lang.String LineColor_commandText

### Font_commandText

    public static java.lang.String Font_commandText

### ConnectionAppearanceDetails_AvoidObstaclesLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_AvoidObstaclesLabel_Text

### AppearanceDetails_AvoidObstaclesCommand_Text

    public static java.lang.String AppearanceDetails_AvoidObstaclesCommand_Text

### ConnectionAppearanceDetails_ClosestDistanceLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_ClosestDistanceLabel_Text

### AppearanceDetails_ClosestDistanceCommand_Text

    public static java.lang.String AppearanceDetails_ClosestDistanceCommand_Text

### ConnectionAppearanceDetails_RouterOptionsLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_RouterOptionsLabel_Text

### ConnectionAppearanceDetails_JumpLinksLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_JumpLinksLabel_Text

### AppearanceDetails_JumpLinksCommand_Text

    public static java.lang.String AppearanceDetails_JumpLinksCommand_Text

### ConnectionAppearanceDetails_JumpLinkTypeLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_JumpLinkTypeLabel_Text

### ConnectionAppearanceDetails_JumpLinkGroupLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_JumpLinkGroupLabel_Text

### AppearanceDetails_JumpLinkTypeCommand_Text

    public static java.lang.String AppearanceDetails_JumpLinkTypeCommand_Text

### ConnectionAppearanceDetails_LineRouterLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_LineRouterLabel_Text

### AppearanceDetails_LineRouterCommand_Text

    public static java.lang.String AppearanceDetails_LineRouterCommand_Text

### ConnectionAppearanceDetails_ReverseJumpLinksLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_ReverseJumpLinksLabel_Text

### AppearanceDetails_ReverseJumpLinksCommand_Text

    public static java.lang.String AppearanceDetails_ReverseJumpLinksCommand_Text

### ConnectionAppearanceDetails_SmoothnessLabel_Text

    public static java.lang.String ConnectionAppearanceDetails_SmoothnessLabel_Text

### AppearanceDetails_SmoothnessCommand_Text

    public static java.lang.String AppearanceDetails_SmoothnessCommand_Text

### ColorPalettePopup_default

    public static java.lang.String ColorPalettePopup_default

### ColorPalettePopup_custom

    public static java.lang.String ColorPalettePopup_custom

### Grid_On_Label_Text

    public static java.lang.String Grid_On_Label_Text

### Grid_Level_Label_Text

    public static java.lang.String Grid_Level_Label_Text

### Snap_To_Grid_Label_Text

    public static java.lang.String Snap_To_Grid_Label_Text

### Snap_To_Geometry_Label_Text

    public static java.lang.String Snap_To_Geometry_Label_Text

### Grid_Spacing_Label_Text

    public static java.lang.String Grid_Spacing_Label_Text

### Ruler_On_Label_Text

    public static java.lang.String Ruler_On_Label_Text

### Ruler_Units_Label_Text

    public static java.lang.String Ruler_Units_Label_Text

### Display_Group_Label_Text

    public static java.lang.String Display_Group_Label_Text

### Measurement_Group_Label_Text

    public static java.lang.String Measurement_Group_Label_Text

### Gridline_Group_Label_Text

    public static java.lang.String Gridline_Group_Label_Text

### Line_Color_Label_Text

    public static java.lang.String Line_Color_Label_Text

### Line_Style_Label_Text

    public static java.lang.String Line_Style_Label_Text

### Inches_Label_Text

    public static java.lang.String Inches_Label_Text

### Centimeters_Label_Text

    public static java.lang.String Centimeters_Label_Text

### Pixel_Label_Text

    public static java.lang.String Pixel_Label_Text

### Solid_Label_Text

    public static java.lang.String Solid_Label_Text

### Dash_Label_Text

    public static java.lang.String Dash_Label_Text

### Dot_Label_Text

    public static java.lang.String Dot_Label_Text

### Dash_Dot_Label_Text

    public static java.lang.String Dash_Dot_Label_Text

### Dash_Dot_Dot_Label_Text

    public static java.lang.String Dash_Dot_Dot_Label_Text

### Spaced_Dot_Label_Text

    public static java.lang.String Spaced_Dot_Label_Text

### Restore_Defaults_Label_Text

    public static java.lang.String Restore_Defaults_Label_Text

### Positive_Number_Error

    public static java.lang.String Positive_Number_Error

### AbstractPropertySection_UndoIntervalPropertyString

    public static java.lang.String AbstractPropertySection_UndoIntervalPropertyString

### TextAlignmentPropertySection_AlignLeft

    public static java.lang.String TextAlignmentPropertySection_AlignLeft

### TextAlignmentPropertySection_AlignCenter

    public static java.lang.String TextAlignmentPropertySection_AlignCenter

### TextAlignmentPropertySection_AlignRight

    public static java.lang.String TextAlignmentPropertySection_AlignRight

### TextAlignmentPropertySection_TextAlignment

    public static java.lang.String TextAlignmentPropertySection_TextAlignment

### LineStylesPropertySection_LineStyles

    public static java.lang.String LineStylesPropertySection_LineStyles

### LineStylesPropertySection_LineWidth

    public static java.lang.String LineStylesPropertySection_LineWidth

### LineStylesPropertySection_LineType

    public static java.lang.String LineStylesPropertySection_LineType

### LineStylesPropertySection_ArrowType

    public static java.lang.String LineStylesPropertySection_ArrowType

### LineStylesPropertySection_SourceArrow_Type

    public static java.lang.String LineStylesPropertySection_SourceArrow_Type

### LineStylesPropertySection_TargetArrow_Type

    public static java.lang.String LineStylesPropertySection_TargetArrow_Type

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.